#!/bin/bash
set -e
if [ ! -d test_output ]; then
    mkdir test_output
fi

perl blast_hit_flanking_sequence.pl -b ./test_input/blast_results.txt -h ./test_input/blast_database.fasta -q ./test_input/original_queries.fasta -o ./test_output/new_queries_upstream_0_downstream_0.fasta -u 0 -d 0

perl blast_hit_flanking_sequence.pl -b ./test_input/blast_results.txt -h ./test_input/blast_database.fasta -q ./test_input/original_queries.fasta -o ./test_output/new_queries_upstream_1_downstream_2.fasta -u 1 -d 2

perl blast_hit_flanking_sequence.pl -b ./test_input/blast_results.txt -h ./test_input/blast_database.fasta -q ./test_input/original_queries.fasta -o ./test_output/new_queries_upstream_20_downstream_10.fasta -u 20 -d 10

perl blast_hit_flanking_sequence.pl -b ./test_input/blast_results.txt -h ./test_input/blast_database.fasta -q ./test_input/original_queries.fasta -o ./test_output/new_queries_upstream_100000_downstream_100000_N_limit_1.fasta -u 100000 -d 100000 -n 1

#compare new output to sample output
new_output=test_output
old_output=sample_output
new_files=($( find $new_output -type f -print0 | perl -ne 'my @files = split(/\0/, $_); foreach(@files) { if (!($_ =~ m/\.svn/)) {print "$_\n";}}'))
for (( i=0; i<${#new_files[@]}; i++ ));
do
    old_file=${old_output}`echo "${new_files[$i]}" | perl -nl -e 's/^[^\/]+//;' -e 'print $_'`
    echo "Comparing ${old_file} to ${new_files[$i]}"
    set +e
    diff -u $old_file ${new_files[$i]}
    if [ $? -eq 0 ]; then
	echo "No differences found"
    fi
    set -e
done